package org.bench4q.share.models.monitor;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.models.master.statistics.SampleModel;

@XmlRootElement(name = "Memory")
public class MemoryModel extends SampleModel{
	private long pagesPerSecond;
	private long pagesInputPerSecond;
	private long pagesOutputPerSecond;
	private long availableKiloBytes;
	private long totalKiloBytes;
	private double memoryUsedPercent;
	private double swapKiloBytes;
	private double swapFreeKiloBytes;

	public MemoryModel() {
	}

	@XmlElement
	public long getPagesPerSecond() {
		return pagesPerSecond;
	}

	public void setPagesPerSecond(long pagesPerSecond) {
		this.pagesPerSecond = pagesPerSecond;
	}

	@XmlElement
	public long getPagesInputPerSecond() {
		return pagesInputPerSecond;
	}

	public void setPagesInputPerSecond(long pagesInputPerSecond) {
		this.pagesInputPerSecond = pagesInputPerSecond;
	}

	@XmlElement
	public long getPagesOutputPerSecond() {
		return pagesOutputPerSecond;
	}

	public void setPagesOutputPerSecond(long pagesOutputPerSecond) {
		this.pagesOutputPerSecond = pagesOutputPerSecond;
	}

	@XmlElement
	public long getAvailableKiloBytes() {
		return availableKiloBytes;
	}

	public void setAvailableKiloBytes(long availableKiloBytes) {
		this.availableKiloBytes = availableKiloBytes;
	}

	@XmlElement
	public long getTotalKiloBytes() {
		return totalKiloBytes;
	}

	public void setTotalKiloBytes(long totalKiloBytes) {
		this.totalKiloBytes = totalKiloBytes;
	}

	@XmlElement
	public double getMemoryUsedPercent() {
		return memoryUsedPercent;
	}

	public void setMemoryUsedPercent(double memoryUsedPercent) {
		this.memoryUsedPercent = memoryUsedPercent;
	}

	@XmlElement
	public double getSwapKiloBytes() {
		return swapKiloBytes;
	}

	public void setSwapKiloBytes(double swapKiloBytes) {
		this.swapKiloBytes = swapKiloBytes;
	}

	@XmlElement
	public double getSwapFreeKiloBytes() {
		return swapFreeKiloBytes;
	}

	public void setSwapFreeKiloBytes(double swapFreeKiloBytes) {
		this.swapFreeKiloBytes = swapFreeKiloBytes;
	}

}
